#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="20240105-4"

# Clone Upstream
git clone https://github.com/Winetricks/winetricks.git
cp -fv ./changelog ./winetricks/debian/changelog
cd winetricks

# Get build deps
LOGNAME=root dh_make --createorig -y -l -p winetricks_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y

# Build package
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
